Skip to main content
GET
/
v2
/
verifications
List all verifications
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/verifications \
  --header 'Authorization: Basic <encoded-value>'
{
  "next": "https://api-sandbox.argyle.com/v2/verifications?cursor=ZXhhbXBsZV9jdXJzb3I",
  "previous": null,
  "results": [
    {
      "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
      "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
      "client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
      "created_at": "2023-03-09T16:22:06.081Z",
      "updated_at": "2023-03-09T16:22:06.081Z",
      "channel": "api",
      "status": {
        "state": "COMPLETED",
        "code": "completed",
        "errors": []
      },
      "report": {
        "id": "2a14ce6f-3aed-4c15-8ea2-92a17b6edb95",
        "type": "doc-voi-mortgage",
        "file_url": "https://api-sandbox.argyle.com/v2/reports/12345678-e321-4a76-8d10-093cfdbb8cdd/pdf",
        "json_url": "https://api-sandbox.argyle.com/v2/reports/12345678-e321-4a76-8d10-093cfdbb8cdd/json"
      },
      "employments": [
        {
          "employer": "Warehouse Services Inc",
          "status": "active",
          "hire_date": "2023-02-01",
          "termination_date": null
        }
      ],
      "loan": {
        "number": "1234",
        "borrower_id": "ABC789",
        "application_id": "2121313",
        "officer_email": "[email protected]"
      },
      "billing": {
        "cost_center": "5"
      },
      "data_source": "documents"
    },
    {
      "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc3333",
      "user": "018051aa-f7a9-a0db-2f38-6cfa325e9345",
      "client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
      "created_at": "2023-03-10T05:14:06.081Z",
      "updated_at": "2023-03-10T13:03:06.081Z",
      "channel": "api",
      "status": {
        "state": "PROCESSING",
        "code": "authenticated",
        "errors": []
      },
      "report": {
        "id": null,
        "type": "voai",
        "file_url": null,
        "json_url": null,
        "configuration": {
          "from_date": "2024-01-01T00:00:00Z",
          "income_stream_confidence_minimum": 50,
          "report_custom_fields": [
            {
              "label": "loanID",
              "value": "12345",
              "shown": true
            }
          ]
        }
      },
      "employments": [],
      "loan": {
        "number": "1234",
        "borrower_id": "ABC789",
        "application_id": "2121313",
        "officer_email": "[email protected]"
      },
      "billing": {
        "cost_center": "5"
      },
      "data_source": "banking"
    }
  ]
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

user
string<uuid>

Filter by user ID.

status_state
enum<string>

Filter by verification status state.

Available options:
PENDING,
PROCESSING,
PAUSED,
CANCELLED,
COMPLETED
status_code
enum<string>

Filter by verification status code.

Available options:
pending,
documents_processing,
more_data_required,
report_available,
waiting_on_third_party,
report_generating,
argyle_timeout,
cancelled_by_client,
completed,
completed_with_errors,
user_session_started,
authenticated
report_type
enum<string>

Filter by report type.

Available options:
doc-voi-mortgage,
voa,
voi,
voai,
voe-transactions
loan_number
string

Filter by loan number.

limit
integer

Number of verification objects returned per page. Default: 10. Maximum: 200.

cursor
string

The URL returned in next or previous used to retrieve another page of results.

Response

200 - application/json

Paginated list of client verification objects.

next
string<uri> | null

URL for the next page of results, if available.

previous
string<uri> | null

URL for the previous page of results, if available.

results
object[]